#include<iostream>
#include<string>
#include<string.h>
#include<stack>
#include<assert.h>

using namespace std;

class Solution {
public:
    string removeDuplicateLetters(string s) {
	string str;
	string strOut;
        for(int i = 0;i < s.length(); i++) {
            if(str.empty()) {       
		str.push_back(s[i]);
	    } else {                        
		if(s[i] == str.back()) {    //如果栈顶和新元素都是'('，压栈；
		    str.push_back(s[i]);
		    strOut.push_back(s[i]); //将非最外括号存入新的字符串。
		} else {                    //如果栈顶是"(",新元素是")"，就要出栈；
		    str.pop_back();
		    if(!str.empty()) {      //进行判断，为空说明找到了最外面的匹配括号，就不用压入这个括号入栈了.
		        strOut.push_back(s[i]);
		    }
		}
	    }	    
        }
	cout << "str = " << strOut << endl;
	return strOut;
    }
};

string stringToString(string input) {
    assert(input.length() >= 2);
    string result;
    for (int i = 1; i < input.length() -1; i++) {
        char currentChar = input[i];
        if (input[i] == '\\') {
            char nextChar = input[i+1];
            switch (nextChar) {
                case '\"': result.push_back('\"'); break;
                case '/' : result.push_back('/'); break;
                case '\\': result.push_back('\\'); break;
                case 'b' : result.push_back('\b'); break;
                case 'f' : result.push_back('\f'); break;
                case 'r' : result.push_back('\r'); break;
                case 'n' : result.push_back('\n'); break;
                case 't' : result.push_back('\t'); break;
                default: break;
            }
            i++;
        } else {
          result.push_back(currentChar);
        }
    }
    return result;
}

string boolToString(bool input) {
    return input ? "True" : "False";
}

int main() {
    string line;
    while (getline(cin, line)) {
        string s = stringToString(line);
        
        string ret = Solution().removeDuplicateLetters(s);

        string out = (ret);
        cout << out << endl;
    }
    return 0;
}
